var ajax = new Ajax();
var style = new Style();
var codeCbxx = new CodeObj();

$(function(){

	resetBtnStatus();
	$("#svgCanvas").html('<span class="circle_btn" id="icztmc">加载中...</span>');
	arcspinner.init();
	arcspinner.start();
	query();
});

//查询社保卡基本信息, 判定卡状态
function query(){
	$.ajax({
		type : "POST",
		dataType : "json",
		url:ajax.BASE_PATH+"baseInfo/queryBaseInfo.shtml",
		data:baseData,
		contentType : "application/x-www-form-urlencoded; charset=UTF-8",
		success:function(result){
			console.log(result);
			if(result.resultCode!=1){
				style.tip(result.resultMsg,5,2);
				return ;
			}
			var obj = result.resultBody.data;
			$("#icztmc").html(obj.icztmc);
			// 根据卡状态设置可作业务
			if (obj.icztbh == "0") {
				reportLoss();
			}
			else {
				$("#icztmc").addClass("err");
				reportUnloss();
			}
		}
	});
}

//社保卡挂失: 是否满足挂失所需条件
function reportLoss() {
	$.ajax({
		type : "POST",
		dataType : "json",
		url:ajax.BASE_PATH+"baseInfo/queryBaseInfo.shtml",
		data:baseData,
		contentType : "application/x-www-form-urlencoded; charset=UTF-8",
		success:function(result){
			$("#lossBtn").removeAttr("disabled");
			if (result.resultCode == 1) {
				$("#lossBtn").unbind("click").bind("click", function() {
					window.location='base_sbkgs.html';
				});
			} else {
				$("#lossBtn").unbind("click").bind("click", function() {
					style.tip(result.resultMsg,5,2);
				});
			}
		},
		complete : function(XMLHttpRequest) {
			setTimeout(function() {
				arcspinner.stop();
			}, 700);
		}
	});
}

//社保卡解挂：是否满足解挂所需条件
function reportUnloss() {
	$.ajax({
		type : "POST",
		dataType : "json",
		url:ajax.BASE_PATH+"ic/reportUnloss.shtml",
		data:baseData,
		contentType : "application/x-www-form-urlencoded; charset=UTF-8",
		success:function(result){
			$("#unlossBtn").removeAttr("disabled");
			if (result.resultCode == 1) {
				$("#unlossBtn").bind("click", function() {
					window.location='base_sbkjg.html';
				});
			} else {
				$("#unlossBtn").bind("click", function() {
					style.tip(result.resultMsg,5,2);
				});
			}
		},
		complete : function(XMLHttpRequest) {
			setTimeout(function() {
				arcspinner.stop();
			}, 700);
		}
	});
}

// 重置按钮状态
function resetBtnStatus() {
	$("#lossBtn").attr("disabled", "disabled");
	$("#unlossBtn").attr("disabled", "disabled");
	$("#lossBtn").unbind("click");
	$("#unlossBtn").unbind("click");
}
