var map = new BMap.Map("allmap");
var myGeo = new BMap.Geocoder();
var myGeolocation = new BMap.Geolocation();
var lng, lat;
var myMark;
var $disBtn;
var distance;

$(document).on("pageinit", "#mapPage", function(e) {
	$disBtn = $('#disBtn');
	$popupMenu = $('#popupMenu');
	$('#dhpanel').hide();
	initStorage();
	var address = decodeURI(GetQueryString("address"));
	var titlename = decodeURI(GetQueryString("name"));
	$disBtn.hide();
	companyinit(address, titlename);
});
$(document).on("pageshow", "#mapPage", function(e) {
});

function initStorage() {
	sessionStorage.companylist = '';
	sessionStorage.dwid00 = '';
}

function geolocation() {
	var myIcon = new BMap.Icon("../resourse/theme/images/mark.png", new BMap.Size(52, 52));
	var geolocationControl = new BMap.GeolocationControl({
		locationIcon : myIcon
	});
	geolocationControl.addEventListener("locationSuccess", function(e) {
		// 定位成功事件
		map.removeOverlay(myMark);
		lng = e.point.lng;
		lat = e.point.lat;
		alert("当前定位地址为：" + address);
	});
	geolocationControl.addEventListener("locationError", function(e) {
		// 定位失败事件
		// alert(e.message);
	});
	map.addControl(geolocationControl);

}

function companyinit(name, titlename) {

	map = new BMap.Map("allmap");
	geocodeSearch1(name, titlename);
	map.addControl(new BMap.NavigationControl({
		enableGeolocation : true
	}));
	markLocation(true);
	geolocation();
	map.setCurrentCity("厦门");

}

function initMap(job, salary, edu, city, distan) {
	var data = {
		gzms00 : encodeURIComponent(job),
		gzfw00 : salary,
		whcd00 : edu,
		dlfw00 : distan,
		city00 : city,
		key : sessionStorage.mykey
	};
	connect(sessionStorage.baseurl + 'searchJob!queryEnterprisesForMap.sjpg', param, function(data) {
		var enterprises = data["enterprises"];
		for (var i = 0; i < enterprises.length; i++) {
			var enterprise = enterprises[i];
			var lng = enterprise.jingdu;
			var lat = enterprise.weidu;

			if (!isEmpty(lng) && !isEmpty(lat)) {
				var myPoint = new BMap.Point(lng, lat);
				var marker = new BMap.Marker(myPoint);
				var label = new BMap.Label(enterprise.dwmc00_hl, {
					offset : new BMap.Size(20, -10)
				});
				label.setPosition(myPoint);
				label.dwid00 = enterprise.dwid00;
				marker.setLabel(label);
				marker.dwid00 = enterprise.dwid00;
				marker.setTitle(enterprise.dwmc00_hl);
				label.setTitle(enterprise.dwmc00_hl);
				marker.addEventListener("click", function() {
					var info = '<p>' + this.getTitle() + '</p><div class="ui-grid-a ui-corner-all">';
					info += '<div class="ui-block-a"><button  class="ui-btn" onclick="getEnterprisesDetails(' + this.dwid00 + ');" >详细岗位</button>';
					info += '</div>' + '<div class="ui-block-b"> <button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button>';
					info += '</div></div>';
					// alert(info);
					var infoWindow1 = new BMap.InfoWindow(info);
					this.openInfoWindow(infoWindow1);

				});
				label.addEventListener('click', function() {
					var info = '<p>' + this.getTitle() + '</p><div class="ui-grid-a ui-corner-all">';
					info += '<div class="ui-block-a"><button  class="ui-btn" onclick="getEnterprisesDetails(' + this.dwid00 + ');" >详细岗位</button>';
					info += '</div>' + '<div class="ui-block-b"> <button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button>';
					info += '</div></div>';
					// alert(info);
					var infoWindow1 = new BMap.InfoWindow(info);
					map.openInfoWindow(infoWindow1, this.getPosition());
				});
				map.addOverlay(marker);
			} else {
				// 创建地址解析器实例
				// setTimeout(function() {}, 400);
				geocodeSearch(enterprise);
			}

		}
		;
	});
	map = new BMap.Map("allmap");
	map.addControl(new BMap.NavigationControl({
		enableGeolocation : true
	}));
	markLocation(false);
	geolocation();
	map.setCurrentCity("厦门");
}

/**
 * 定位标志
 */
function markLocation(isguide) {
	myGeolocation.getCurrentPosition(function(r) {
		if (this.getStatus() == BMAP_STATUS_SUCCESS) {
			var gpsPoint = r.point;
			setTimeout(function() {
				BMap.Convertor.translate(gpsPoint, 0, function(point) {
					lng = point.lng;
					lat = point.lat;

					var myIcon = new BMap.Icon("../resourse/theme/images/mark.png", new BMap.Size(52, 52));
					myMark = new BMap.Marker(point, {
						icon : myIcon
					});
					// 创建标注
					map.addOverlay(myMark);

					if (!isguide) {
						map.centerAndZoom(point, 13);
						setTimeout(function() {
							map.panTo(point);
						}, 1000);
					}

				});
				// 真实经纬度转成百度坐标
			}, 1000);
		} else {
			alert('failed' + this.getStatus());
		}
	}, {
		enableHighAccuracy : true
	})
}

/**
 * 查公交
 * 
 * @param {Object} lng1
 * @param {Object} lat1
 */
function searchRoute(lng1, lat1) {
	if (lng && lat) {
		var p1 = new BMap.Point(lng, lat);
		var p2 = new BMap.Point(lng1, lat1);
		// alert(lng);
		var transit = new BMap.TransitRoute(map, {
			renderOptions : {
				map : map,
				panel : 'nav-panel'
			}
		});
		transit.search(p1, p2);
		// #nav-panel{height: 100%;overflow-y: scroll;}
		$("#nav-panel").css({
			'height' : '100%',
			'overflow-y' : 'scroll'
		}).panel("open");
		// $("#nav-panel").;
		$('#dhpanel').show();
	}

}

function geocodeSearch1(name, titlename) {
	myGeo.getPoint(name, function(point1) {
		if (point1) {
			var address = new BMap.Point(point1.lng, point1.lat);

			addMarker1(address, name, titlename);
		}
	}, "厦门");
}

// 地址解析
function geocodeSearch(enterprise) {
	// 将地址解析结果显示在地图上,并调整地图视野
	myGeo.getPoint(enterprise.dwmc00_hl, function(point) {
		if (point) {
			// map.centerAndZoom(point, 16);
			// var marker = new BMap.Marker(point);
			var address = new BMap.Point(point.lng, point.lat);
			// map.addOverlay(marker);

			// console.log(enterprise.dwmc00_hl+enterprise.dwid00);
			addMarker(address, enterprise.dwmc00_hl, enterprise.dwid00);
		}
	}, city);
}

// 编写自定义函数,创建标注
function addMarker(point, dwmc00_hl, dwid00) {
	var marker = new BMap.Marker(point);
	var label = new BMap.Label(dwmc00_hl, {
		offset : new BMap.Size(20, -10)
	});
	label.setPosition(point);
	marker.setLabel(label);
	marker.dwid00 = dwid00;
	label.dwid00 = dwid00;
	marker.setTitle(dwmc00_hl);
	label.setTitle(dwmc00_hl);
	marker.addEventListener("click", function() {
		var info = '<p>' + this.getTitle() + '</p><div class="ui-grid-a ui-corner-all">';
		info += '<div class="ui-block-a"><button  class="ui-btn" onclick="getEnterprisesDetails(\'' + this.dwid00 + '\');" >详细岗位</button>';
		info += '</div>' + '<div class="ui-block-b"> <button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button>';
		info += '</div></div>';
		// alert(info);
		var infoWindow1 = new BMap.InfoWindow(info);
		this.openInfoWindow(infoWindow1);

	});
	label.addEventListener("click", function() {
		var info = '<p>' + this.getTitle() + '</p><div class="ui-grid-a ui-corner-all">';
		info += '<div class="ui-block-a"><button  class="ui-btn" onclick="getEnterprisesDetails(\'' + this.dwid00 + '\');" >详细岗位</button>';
		info += '</div>' + '<div class="ui-block-b"> <button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button>';
		info += '</div></div>';
		// alert(info);
		var infoWindow1 = new BMap.InfoWindow(info);
		map.openInfoWindow(infoWindow1, this.getPosition());

	});
	map.addOverlay(marker);
}

function addMarker1(point, name, titlename) {
	var marker = new BMap.Marker(point);
	var label = new BMap.Label(titlename, {
		offset : new BMap.Size(20, -10)
	});
	label.setPosition(point);
	marker.setLabel(label);
	// marker.dwid00 = dwid00;
	marker.setTitle(titlename);

	marker.addEventListener("click", function() {
		var info = '<p>' + name + '</p>';
		info += '<div class="ui-body"><button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button></div>';
		// var infoWindow = new BMap.InfoWindow(info);
		var infoWindow1 = new BMap.InfoWindow(info);
		this.openInfoWindow(infoWindow1);

	});
	label.addEventListener("click", function() {
		var info = '<p>' + name + '</p>';
		info += '<div class="ui-body"><button class="ui-btn" onclick="searchRoute(' + this.getPosition().lng + ',' + this.getPosition().lat + ');">前往</button></div>';
		// var infoWindow = new BMap.InfoWindow(info);
		var infoWindow1 = new BMap.InfoWindow(info);
		map.openInfoWindow(infoWindow1, this.getPosition());

	});
	map.addOverlay(marker);
	map.centerAndZoom(point, 13);
	setTimeout(function() {
		map.panTo(point);
	}, 1000);
}