var ajax_single = new Ajax();

var style = new Style();
var codeMx = new CodeObj();
codeMx.addCode("amc020", "生育日期", "date");
codeMx.addCode("amc026", "生育类型");

codeMx.addCode("aac003", "姓名", null, true);
codeMx.addCode("aac002", "身份证号码", "idNo", true);
codeMx.addCode("aaz501", "社会保险号", "idNo", true);
codeMx.addCode("aac004", "性别", "aac004", true);
codeMx.addCode("aaz065", "银行名称", null, true);
codeMx.addCode("aae010", "银行账号", "idNo", true);
codeMx.addCode("aae009", "银行户名", null, true);
codeMx.addCode("aab069", "医疗机构", null, true);
codeMx.addCode("amc028", "胎儿数", null, true);

codeMx.addCode("aae202", "缴费月数", null, true);
codeMx.addCode("ajc097", "待遇月数", null, true);
codeMx.addCode("amc030", "生育津贴", "money", true);
codeMx.addCode("ajc158", "生育补助", "money", true);
codeMx.addCode("aae399", "计生补贴", "money", true);
codeMx.addCode("aae019", "待遇总额", "money", true);
codeMx.addCode("aae016", "业务状态", null, true);
codeMx.addCode("aae011", "经办日期", "date", true);
codeMx.addCode("aac077", "受理网点", null, true);
codeMx.addCode("aab301", "单位区域", null, true);
codeMx.addCode("aab004", "单位名称", null, true);
codeMx.addCode("aae013", "备注", null, true);

Format.aac004 = function(aac004) {
	// 0 - 未知的性别
	// 1 - 男性
	// 2 - 女性
	// 5 - 女性改（变）为男性
	// 6 - 男性改（变）为女性
	// 9 - 未说明的性别
	if (aac004 == 1 || aac004 == 5) {
		return "男"
	}
	if (aac004 == 2 || aac004 == 6) {
		return "女"
	}
}

var post_obj_mx = {
	url : "mi/queryAuditInfo.shtml",
	success : function(result) {
		style.makeTable(codeMx, result.resultBody, "list-page");
	}
};

$(function() {
	post_obj_mx.data = baseData;
	post_obj_mx.data.aaz257 = sessionStorage.aaz257;
	ajax_single.reset();
	ajax_single.post(post_obj_mx);
});