$(function() {
	$('.date').mobiscroll().date({
		theme : 'default',
		mode : 'scroller',
		display : 'bottom',
		dateFormat : 'yyyymmdd'
	});
	$("#myorder").empty();
	init();
	query("", "", "");
});
var ajax = new Ajax();
var style = new Style();
function subquery() {
	$("#myorder").empty();
	var yaz015 = $("#business-type").val();
	var aae030 = $("#begindate").val();
	var aae031 = $("#enddate").val();
	query(yaz015, aae030, aae031);
}
function format(data) {
	return data.substring(0, 4) + "年" + data.substring(4, 6) + "月" + data.substring(6, 8) + "日";
}
function query(yaz015, aae030, aae031) {
	baseData.yaz015 = yaz015;
	baseData.aae030 = aae030;
	baseData.aae031 = aae031;
	baseData.rows = 10;
	baseData.cpage = 1;
	var post_obj = {
		url : "ywyy/queryOrderedBusiness.shtml",
		data : baseData,
		success : function(result) {
			layer.closeAll('loading');
			if (result.resultCode == "0") {
				layer.open({
					shadeClose : false,
					content : result.resultMsg,
					btn : '确定',
					yes : function(index) {
						layer.close(index)
					}
				});
				return;
			}

			var html = "";
			$.each(result.resultBody.queryList, function(index, obj) {
				html += '<div class="myorder">';
				html += '<div class="myorder-time">' + format(obj.aae035) + '</div>';
				html += '<div class="myorder-desc">';
				html += '<div>业务类型：<span>' + obj.yaa001 + '</span></div><br>';
				if (obj.yae001 == "1") {
					html += '<div>办理情况：<span>已办理</span></div>';
				} else {
					html += '<div>办理情况：<span>未办理</span></div>';
				}
				html += '</div>';
				html += '<div class="myorder-desc">';
				html += '<div>预约时间：<span>' + obj.aae038 + '----' + obj.aae039 + '</span></div>';
				html += '</div>';

				html += '<div class="myorder-opers">';
				if (obj.yae002 == "1") {
					html += '<button class="disabled" style="width: 100%;">已取消</button>';
				} else if(isOverdue(obj.aae035,obj.aae039) && obj.yae001 == "0"){
					html += '<button class="disabled" style="width: 100%;">已过期</button>';
				}else if (obj.yae001 == "1" && obj.yaa014!="1001" && obj.yaa014!="1002" &&  obj.yaa014!="1101"){
					html += '<button class="cansel" style="width: 100%;" onclick="queryProcess(\'' + obj.yaa014 + '\',\''+obj.aae035+'\',\''+obj.yae003+'\',\''+obj.yaa001+'\');">办理进度查询</button>';
				} else {
					html += '<button id="sms' + obj.yaz018 + '" class="message" onclick="sendSms(\'' + obj.yaz018 + '\',\''+obj.aae035+'\',\''+obj.aae039+'\');">重发短信</button>';
					html += '<button id="can' + obj.yaz018 + '" class="cansel" onclick="cancelOrderBusiness(\'' + obj.yaz018 + '\');">取消</button>';
				}
				html += '</div>';
				html += '</div>';
			})
			$("#myorder").append(html);
		}
	};
	ajax.reset();
	ajax.post(post_obj);
}
function cancelOrderBusiness(yaz018) {
	layer.open({
		shadeClose : false,
		content : '确定取消预约吗？',
		btn : [ '确定', '取消' ],
		yes : function(index) {
			$("#can" + yaz018).removeClass("message").addClass("disabled");
			$("#can" + yaz018).attr("disabled", "disabled");
			baseData.yaz018 = yaz018;
			var post_obj = {
				url : "ywyy/cancelOrderBusiness.shtml",
				data : baseData,
				success : function(result) {
					layer.closeAll('loading');
					if (result.resultCode != "1") {
						layer.open({
							shadeClose : false,
							content : result.resultMsg,
							btn : '确定',
							yes : function(index) {
								layer.close(index)
							}
						});
						return;
					}
					var data = result.resultBody.data;
					if (data.aae314 == "1") {
						$("#sms" + yaz018).remove();
						$("#can" + yaz018).css("width", "100%");
						$("#can" + yaz018).html("已取消");
					} else {
						$("#can" + yaz018).removeClass("disabled").addClass("message");
						$("#can" + yaz018).removeAttr("disabled");
					}
					layer.open({
						shadeClose : false,
						content : data.aae317,
						btn : '确定',
						yes : function(index1) {
							layer.close(index1)
						}
					});
					layer.close(index);
				}
			};
			ajax.reset();
			ajax.post(post_obj);
		}
	});
}

var countdown = 60;//
function sendSms(yaz018,aae035,aae039) {
	if(isOverdue(aae035,aae039)){
		layer.open({
			shadeClose : false,
			content : "该条预约信息已过期，无法发送短信",
			btn : '确定',
			yes : function(index) {
				layer.close(index)
			}
		});
		return;
	}
	$("#sms" + yaz018).removeClass("message").addClass("disabled");
	$("#sms" + yaz018).attr("disabled", "disabled");
	baseData.yaz018 = yaz018;
	var post_obj = {
		url : "ywyy/sendSms.shtml",
		data : baseData,
		success : function(result) {
			layer.closeAll('loading');
			if (result.resultCode != "1") {
				layer.open({
					shadeClose : false,
					content : result.resultMsg,
					btn : '确定',
					yes : function(index) {
						layer.close(index)
					}
				});
				return;
			}
			var data = result.resultBody.data;
			layer.open({
				shadeClose : false,
				content : data.aae317,
				btn : '确定',
				yes : function(index) {
					layer.close(index)
				}
			});
		}
	};
	ajax.reset();
	ajax.post(post_obj);
	settime(yaz018, countdown);
}
function settime(yaz018, countdown) {
	if (countdown == 0) {
		countdown = 60;
		$("#sms" + yaz018).removeClass("disabled").addClass("message");
		$("#sms" + yaz018).removeAttr("disabled");
		$("#sms" + yaz018).html("重发短信");
		return;
	} else {
		$("#sms" + yaz018).html(countdown);
	}
	setTimeout(function() {
		settime(yaz018, (countdown - 1))
	}, 1000)
}
/**
 * 判断业务是否已过期
 */
function isOverdue(aae035,aae039){
	var date = new Date();
	var month = date.getMonth() + 1;
    var strDate = date.getDate();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
	var currentdate = date.getFullYear() +""+ month +""+ strDate;
	var hour = date.getHours();
	var minute =  date.getMinutes();
	var strs = aae039.split(':');
	if(parseInt(aae035) < parseInt(currentdate)){// 预约日期小于当前日期
		return true;
	}else if (parseInt(aae035) == parseInt(currentdate)){ // 预约日期等于当前日期
		if(parseInt(strs[0]) < hour){ // 预约小时小于当前小时
			return true;
		}else if(parseInt(strs[0]) == hour && parseInt(strs[1]) < minute){// 预约小时等于当前小时且预约分钟数小于当前分钟数
			return true;
		}
	}
	return false;
}
/**
 * 预约办理进度查询
 */
function queryProcess(yaa014,aae035,yae003,yaa001){
	baseData.yaa014=yaa014;
	baseData.yae003=yae003;
	baseData.aae035=aae035;
	var post_obj = {
		url : "ywyy/queryBusinessProcess.shtml",
		data : baseData,
		success : function(result) {
			var option = "";
			var obj = result.resultBody.data;
			sessionStorage.setItem("step1", obj.step1);
			sessionStorage.setItem("date1", obj.date1);
			sessionStorage.setItem("step2", obj.step2);
			sessionStorage.setItem("date2", obj.date2);
			sessionStorage.setItem("step3", obj.step3);
			sessionStorage.setItem("date3", obj.date3);
			sessionStorage.setItem("step4", obj.step4);
			sessionStorage.setItem("date4", obj.date4);
			sessionStorage.setItem("step5", obj.step5);
			sessionStorage.setItem("date5", obj.date5);
			sessionStorage.setItem("status", obj.status);
			sessionStorage.setItem("yaa001", yaa001);
			location.href = 'ywyy_process.html';
		}
	};
	ajax.reset();
	ajax.post(post_obj);
}
function init() {
	var post_obj = {
		url : "ywyy/queryBusinessType.shtml",
		data : baseData,
		success : function(result) {
			layer.closeAll('loading');
			if (result.resultCode != "1") {
				layer.open({
					shadeClose : false,
					content : result.resultMsg,
					btn : '确定',
					yes : function(index) {
						layer.close(index)
					}
				});
				return;
			}
			var option = "";
			$.each(result.resultBody.queryList, function(index, obj) {
				if (obj.yaa014.length == 2) {
					return true;
				}
				option += '<option value="' + obj.yaz015 + '">' + obj.yaa001 + '</option>';
			})
			$("#business-type").append(option);
			$('#business-type').mobiscroll().select({
				theme : 'default',
				mode : 'scroller',
				display : 'bottom'
			});
		}
	};
	ajax.reset();
	ajax.post(post_obj);
}