var ajax = new Ajax();
var style = new Style();

var date = new Date();
var eyear = date.getFullYear();
var syear = 1998;

var post_obj = {
	url : "jiuye/queryPoliciesList.shtml",
	data : {},
	success : function(result) {
		showlb(result.resultBody, "list-page");
		$('#main-page').hide();
		$('#list-page').show();
	}
}

$(function() {
	$("#list-page").empty();
	while (syear <= eyear) {
		$('#year').append('<option value="' + eyear + '">' + eyear + '</option>');
		eyear--;
	}
	var list_page = sessionStorage.list_page;
	if (list_page != undefined) {
		$("#list-page").html(list_page);
		sessionStorage.removeItem("list_page");
		if (sessionStorage.isMorePage != undefined) {
			$("#btn_more").show();
		}
	} else {
		ajax.post(post_obj);
	}
	var top = sessionStorage.top;
	if (top != "" || top != null) {
		$(window).scrollTop(top);
		sessionStorage.removeItem("top");
	}
	if (sessionStorage.queryyear != undefined) {
		$("#year").val(sessionStorage.queryyear);
		sessionStorage.removeItem("queryyear");
	}
	if (sessionStorage.title != undefined) {
		$("#title").val(sessionStorage.title);
		sessionStorage.removeItem("title");
	}
	if (sessionStorage.filenum != undefined) {
		$("#filenum").val(sessionStorage.filenum);
		sessionStorage.removeItem("filenum");
	}
	if (sessionStorage.subcat != undefined) {
		$("#subcat").val(sessionStorage.subcat);
		sessionStorage.removeItem("subcat");
	}

	$("#btn_query").click(function() {
		var data = {};
		var queryyear = $("#year").val();
		if (queryyear != "") {
			data.pubdateqs = queryyear + '0101';
			data.pubdatejz = queryyear + '1231';
		} else {
			data.pubdateqs = "";
			data.pubdatejz = "";
		}
		data.title = $('#title').val();
		data.filenum = $('#filenum').val();
		data.subcat = $('#subcat').val();

		post_obj.data = data;
		$("#list-page").find(".block").remove();
		ajax.reset();
		ajax.post(post_obj);
	});

	$('.help').click(function() {
		if ($('#main-page').css('display') == 'none') {
			$('#main-page').show();
			$('#list-page').hide();
			$("#btn_more").hide();
		} else {
			$('#main-page').hide();
			$('#list-page').show();
			if (ajax.isMorePage) {
				$("#btn_more").show();
			}
		}
	});
	$("#btn_more").click(function() {
		ajax.post(post_obj);
	});
});

function showlb(obj, pageParam) {
	for (var i = 0; i < obj.queryList.length; ++i) {
		var data = obj.queryList[i];
		var html = html_DEFAULT.replace(/id_TEXT/g, data.id);
		html = html.replace('title0_TEXT', data.title0);
		html = html.replace('pubdate_TEXT', Format.date(data.pubdate));
		html = html.replace('publisher_TEXT', data.publisher);
		html = html.replace('filenum_TEXT', data.filenum);
		$('#' + pageParam).append(html);
	}
}

function showmx(id) {
	var list_page = $("#list-page").html();
	sessionStorage.list_page = list_page;
	sessionStorage.queryyear = $("#year").val();
	sessionStorage.title = $('#title').val();
	sessionStorage.filenum = $('#filenum').val();
	sessionStorage.subcat = $('#subcat').val();
	if (ajax.isMorePage) {
		sessionStorage.isMorePage = "1";
	}
	var top = $(window).scrollTop();
	sessionStorage.top = top;
	sessionStorage.id = id;
	window.location = 'jiuye_zcfg_mx.html';
}

var html_DEFAULT = '<div class="block">' 
	+ '<div class="show-msg tc" style="font-weight: bold;font-size: 1.3rem;">title0_TEXT</div>' 
	+ '<div class="show-msg">' 
	+ '<label class="group-label">发布时间</label>' 
	+ '<p>pubdate_TEXT</p>' 
	+ '</div>' 
	+ '<div class="show-msg">' 
	+ '<label class="group-label">发布机构</label>' 
	+ '<p>publisher_TEXT</p>' 
	+ '</div>' 
	+ '<div class="show-msg">' 
	+ '<label class="group-label">文号</label>' 
	+ '<p>filenum_TEXT</p>' 
	+ '</div>' 
	+ '<div class="show-msg tr">' 
	+ '<a href="javascript:showmx(\'id_TEXT\');" class="detail more_mx" style="width: 95%;">详细内容</a>' 
	+ '</div>' 
	+ '</div>';