var ajax = new Ajax();
var style = new Style();
var codeMx = new CodeObj();

codeMx.addCode("amc020", "生育日期", "date");
codeMx.addCode("amc026", "生育类型");

codeMx.addCode("aac003", "姓名", null, false);
codeMx.addCode("aac002", "身份证号码", "idNo", false);
codeMx.addCode("aaz501", "社会保险号", "idNo", false);
codeMx.addCode("aac004", "性别", "aac004", false);
codeMx.addCode("aaz065", "银行名称", null, false);
codeMx.addCode("aae010", "银行账号", "idNo", false);
codeMx.addCode("aae009", "银行户名", null, false);
codeMx.addCode("aab069", "医疗机构", null, false);
codeMx.addCode("amc028", "胎儿数", null, false);

codeMx.addCode("aae202", "缴费月数", null, false);
codeMx.addCode("ajc097", "待遇月数", null, false);
codeMx.addCode("amc030", "生育津贴", "money", false);
codeMx.addCode("ajc158", "生育补助", "money", false);
codeMx.addCode("aae399", "计生补贴", "money", false);
codeMx.addCode("aae019", "待遇总额", "money", true);
codeMx.addCode("aae016", "业务状态", null, false);
codeMx.addCode("aae011", "经办日期", "date", false);
codeMx.addCode("aac077", "受理网点", null, false);
codeMx.addCode("aab301", "单位区域", null, false);
codeMx.addCode("aab004", "单位名称", null, false);
codeMx.addCode("aae013", "备注", null, false);

Format.aac004 = function(aac004) {
	// 0 - 未知的性别
	// 1 - 男性
	// 2 - 女性
	// 5 - 女性改（变）为男性
	// 6 - 男性改（变）为女性
	// 9 - 未说明的性别
	if (aac004 == 1 || aac004 == 5) {
		return "男"
	}
	if (aac004 == 2 || aac004 == 6) {
		return "女"
	}
}
var params = {};
var post_obj = {
	url : "mi/queryAuditInfo.shtml",
	data : baseData,
	success : function(result) {
		style.makeTable(codeMx, result.resultBody, "data-page");
	}
}

$(function() {
	$("#btn_query").click(function() {
		var data = baseData;
		data.aaz257 = $("#dylsh").val();// 0000084165
		post_obj.data = data;
		$(".block").remove();
		$("#btn_more").hide();
		ajax.reset();
		ajax.post(post_obj);
	});
	$("#btn_more").click(function() {
		ajax.post(post_obj);
	});
});